use std::{
    io::{stdin, stdout},
    str::FromStr,
};

use keyfork_mnemonic_util::Mnemonic;
use keyfork_prompt::{qrencode, Message, PromptManager};

fn main() -> Result<(), Box<dyn std::error::Error>> {
    let mut mgr = PromptManager::new(stdin(), stdout())?;
    mgr.prompt_passphrase("Passphrase: ")?;
    let string = mgr.prompt_wordlist("Mnemonic: ", &Default::default())?;
    let mnemonic = Mnemonic::from_str(&string).unwrap();
    let entropy = mnemonic.entropy();
    mgr.prompt_message(&Message::Text(format!("Your entropy is: {entropy:X?}")))?;
    let qrcode = qrencode::qrencode(&string)?;
    mgr.prompt_message(&Message::Data(qrcode))?;
    Ok(())
}
